Subject: Re: ixgbe: schedule while atomic bug during dev_disable_lro 2.6.31-rc3

From: Ben Greear <[email-masked]>
Date: Thu, 16 Jul 2009 10:39:28 -0700

On 07/15/2009 04:50 PM, Ben Greear wrote:
> On 07/15/2009 04:35 PM, Ben Hutchings wrote:
>> On Wed, 2009-07-15 at 16:00 -0700, Ben Greear wrote:
>>> I just got a fancy new 10G NIC and tried it out in a (patched
>>> elsewhere, but stock ixgbe driver) 2.6.31-rc3) kernel.
>>
>> And what exactly are those patches?
>
> various and sundry, but so far I only see this problem with ixgbe
> (the 1G NICs don't complain at least).
>
> I'll build an un-patched kernel and see if I can reproduce them.

I see the same problem on a stock kernel.  I'm running a pre-empt kernel..think
that might have some bearing on the problem?

Full dmesg here:
http://www.candelatech.com/oss/i7_dmesg.txt

Kernel config file here:
http://www.candelatech.com/oss/i7_config.txt

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com